# encoding: utf-8

# File:	clients/ncs.ycp
# Package:	Configuration of Cluster Services (NCS)
# Summary:	Main file
# Authors:	Michael G. Fritch <mgfritch@novell.com>
#
# $Id: ncs.ycp,v 1.1.2.1 2004/10/11 16:10:05 sbunch Exp $
#
# Main file for Cluster Services (NCS) configuration. Uses all other files.
module Yast
  class NcsClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of Cluster Services (NCS)</h3>

      textdomain "novell-ncs"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Ncs module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-ncs/wizards.rb"

      @cmdline_description = {
        "id"         => "ncs",
        # Command line help text for the Xncs module
        "help"       => _(
          "Configuration of Cluster Services (NCS)"
        ),
        "guihandler" => fun_ref(method(:NcsSequence), "any ()"),
        "initialize" => fun_ref(Ncs.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Ncs.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "ncs", true)
          @ret = NcsAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Ncs module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::NcsClient.new.main
