# encoding: utf-8

# File:	include/novell-ncs/routines.ycp
# Package:	Configuration of Cluster Services (NCS)
# Summary:	Routines definitions
# Authors:	Michael G. Fritch <mgfritch@novell.com>
#
# $Id: routines.ycp,v 1.1.2.2 2004/11/15 16:49:52 mclark Exp $
module Yast
  module NovellNcsRoutinesInclude
    def initialize_novell_ncs_routines(include_target)

      textdomain "novell-ncs"

      Yast.import "Ncs"
      Yast.import "Edirectory"
      Yast.import "NovellUtils"
    end

    # Attepts to find the FDN for the server
    # @return [String]
    def GetServerFDN
      #see if edir has been configured
      if Ops.get(Edirectory.EdirSettings, "CONFIG_EDIR_SERVER_CONTEXT") != nil &&
          Ops.get_string(
            Edirectory.EdirSettings,
            "CONFIG_EDIR_SERVER_CONTEXT",
            ""
          ) != ""
        context = Ops.get_string(
          Edirectory.EdirSettings,
          "CONFIG_EDIR_SERVER_CONTEXT",
          ""
        )
        hostname = NovellUtils.GetHostname
        return "" if context == "" || context == nil || hostname == ""
        return Ops.add(Ops.add(Ops.add("cn=", hostname), "."), context)
      else
        return NovellUtils.GetServerFDN
      end
    end
  end
end
